Subject: [Tsvwg] Comments about the AddIP SCTP extension

From: [email-masked]
Date: Wed, 26 Nov 2003 14:50:39 +0200

Hi all!

	Having read the latest version of the extension, I have the following comments:

	- Section 3.1.1, page 5, a typo: "in RFC2960 [5], *forall* variable parameters."

	- Section 3.2: Here we can read that there are some parameters that can be sent in the INIT/INIT ACK and some that should go in the ASCONF chunk. But, what it is not stated is what happens if the peer for example includes a Delete IP Address parameter. He looks to have a bug, so probably the best thing would be sending back an ABORT... :-/

	- Section 3.2: The Error Cause Indication and Success Indication parameters cannot be included in the INIT ACK. So, I assume there isn't any way the INIT receiver could negatively answer to a Set Primary Address... Probably it is not that important, since the receiver of such a parameter is not really forced to do anything, but it could be interesting to be able to do so...

	- Section 3.3.4, top of page 16: It says "... no more than 2^^31 greater than...", I think it should say "... no more than 2^^31 - 1 greater than...".

	- Section 4.1, A2): Here we see a SHOULD (about the initialization of the serial number) while in section 4.2, C1) we see a MUST (about the same value). I imagine that it should state MUST in both places...

	- Section 4.1, A9), a typo: "... it did not recognized the...", if my teachers taught me the right English grammar, I suppose it should be "... it did not recognize the..." :-)

	- Section 4.1.1, R4): Does it make any sense to be able to send ASCONF chunks while in the SHUTDOWN-RECEIVED state (and SHUTDOWN-PENDING state, especially if the ASCONF is a retransmission)? And same for ASCONF ACK chunks while in the SHUTDOWN-SENT state, and especially, while in the SHUTDOWN-PENDING...

	- Section 4.3.1: Maybe, checking whether the ABORT has the T flag set or not would help identifying those "false" ABORTs that may be received...

	- Section 6, another small typo: "... is a 32 bit *interger* that is..."

	Ok, that's all. Thanks!

	BR Iván Arias Rodríguez

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg